{% extends 'base/base.html' %}

{% block base_title %}
    initialization : add fake workers
{% endblock %}

{% block base_content %}
    <div class="container jumbotron">
        <div>
            <h1>Workers generation</h1>
            <div class="lead">Generate workers based on the following generation methods.</div>

            <div class="d-flex flex-column">
                <div class="p-2 d-flex flex-row">
                    <div class="p-2 font-weight-bold">
                        &#8226 Zero :
                    </div>
                    <div class="p-2">
                        The workers won't have any skills (all skills will be set to 0).
                    </div>
                </div>
                <div class="p-2 d-flex flex-row">
                    <div class="p-2 font-weight-bold">
                        &#8226 One speciality :
                    </div>
                    <div class="p-2">
                        The workers will specialized in one speciality and have little capacities in the others.
                    </div>
                </div>
                <div class="ml-5">
                    One skill, randomly selected will have a skill level above of 0.5 while the other skills will have a value under 0.5.
                </div>



                <div class="p-2 d-flex flex-row">
                    <div class="p-2 font-weight-bold">
                        &#8226 Uniform :
                    </div>
                    <div class="p-2">
                        The workers will have random, uniform capacities. Each skills will be randomly set between 0 and 1.
                    </div>
                </div>
            </div>

            <hr class="my-4">
        </div>

        <div>
            <form method="post">
                {% csrf_token %}

                <div class="form-group">
                    <label for="method">Generation method :</label>
                    <select class="form-control" name="method">
                        <option value="zero">Zero</option>
                        <option value="one_spe">One speciality</option>
                        <option value="unif">Uniform</option>
                    </select>
                </div>

                <div class="form-group">
                    <label for="num">Number of workers :</label>
                    <input class="form-control" name="num" type="number" value="1" min="1">
                </div>

                <div>
                    <button class="btn btn-primary">
                        Generate
                    </button>
                    <a href="{% url 'workers' %}" class="btn btn-secondary">
                        Cancel
                    </a>
                </div>
            </form>
        </div>
    </div>
{% endblock %}
